Skip to main content
`Ctrl`+`K`

# PetscFEGeomGetChunk

Get a chunk of cells in the group as a `PetscFEGeom`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomGetChunk(PetscFEGeom *geom, PetscInt cStart, PetscInt cEnd, PetscFEGeom *chunkGeom[])

## Input Parameters

- geom - `PetscFEGeom` object

- cStart - The first cell in the chunk

- cEnd - The first cell not in the chunk

## Output Parameter

- chunkGeom - an array of cells of length `cEnd` - `cStart`

## Note

Use `PetscFEGeomRestoreChunk()` to return the result

## See Also

`PetscFEGeom`, `PetscFEGeomRestoreChunk()`, `PetscFEGeomCreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fegeom.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages